/*-
 * This file is a part of the MDCacheD server
 * (c) 2007.-2010. Ivan Voras <ivoras@gmail.com>
 * Released under the 2-clause BSDL
 * $Id: misc.h 347 2011-09-20 20:58:41Z ivoras $
 */

#ifndef _MISC_H_
#define _MISC_H_

#ifndef likely
#ifdef  __GNUC__
#define likely(x)	__builtin_expect((x),1)
#define unlikely(x)	__builtin_expect((x),0)
#else
#define likely(x) (x)
#define unlikely(x) (x)
#endif
#endif

#ifndef TRUE
#define TRUE 1
#define FALSE (!TRUE)
#endif

#endif
